generate:
	rm -rf proto
	mkdir -p proto

	protoc -I ./api \
      --go_out ./proto --go_opt paths=source_relative \
      --go-grpc_out ./proto --go-grpc_opt paths=source_relative \
      --grpc-gateway_out ./proto --grpc-gateway_opt paths=source_relative \
      --swagger_out=allow_merge=true,merge_file_name=main:./proto \
      ./api/main.proto

run:
	go run ./cmd/evening_detective/main.go

build:
	go build -o bin/evening_detective cmd/evening_detective/main.go
